import { Meta } from '@storybook/addon-docs/blocks'

<Meta title='@dxtmisha/en/styles/color/stroke - Set SVG stroke'/>

# `stroke`

The mixin sets the `stroke` property (for SVG elements) using the design system's variables, allowing for dynamic updates and opacity control.

**Parameters:**
- `$color: Color | String` — color value, `'as-color'`, or `'init'`.
- `$opacity: Number | null` [null] — optional opacity level [0..1].
- `$important: Boolean` [false] — if `true`, adds `!important`.

## Example

```scss
@use '@dxtmisha/styles';

.icon-outline {
  @include styles.stroke(styles.getColor('secondary'), 0.8);
}

.icon-reset {
  @include styles.stroke('init');
}
```
